@use '~@angular/material' as mat;

.profile-page-grid {
  display: grid;
  grid-gap: 1rem;
  grid-template-columns: repeat(2, 1fr);
  @media (min-width: 1024px) {
    grid-template-columns: repeat(3, 1fr);
  }
  @media (min-width: 1280px) {
    grid-template-columns: repeat(4, 1fr);
  }
  @media (min-width: 1600px) {
    grid-template-columns: repeat(6, 1fr);
  }

  .mat-card {
    @include mat.elevation-transition;
    @include mat.elevation(2);

    border-radius: 0;

    &:hover {
      @include mat.elevation(8);
    }

    .mat-card-title {
      font-weight: lighter;
      font-size: medium;
    }
  }
}

.grid-item {
  position: relative;
  cursor: context-menu;

  .actionbutton {
    @include mat.elevation(1);
  }
}

.group-grid-item {
  @include mat.elevation(2);

  h1,
  p {
    text-align: center;
  }
}

.tab-help {
  * {
    padding: 0 0.5rem;
  }
}

.detail-block {
  padding: 10px 0;
}

.actionbutton {
  position: absolute;
  top: 15px;
  left: 15px;
  z-index: 1;
  background-color: rgba(255, 255, 255, 0.9);
}

.actionbutton.mat-icon-button {
  width: 27px;
  height: 27px;
  line-height: 27px;
}

.actionbutton.mat-icon-button .material-icons {
  font-size: 16px;
}

#profile-page-content {
  height: 100%;
  padding: 1rem 2rem 0 2rem;
  overflow: hidden;
}

span.mat-content {
  display: block !important;
}

.action-row-left-align {
  justify-content: flex-start;
}

.content {
  display: flex;
  flex-direction: column;
}

.tab-help {
  display: flex;
  justify-content: center;
  align-items: center;
}

.mat-card-actions {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
